#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Queue/include/Statistics.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace queue {


#undef  FUNCTION
#define FUNCTION "Queue::Statistics"
  Statistics::Statistics (string                                        name                       ,
			  morpheo::behavioural::Parameters_Statistics * parameters_statistics      ,
			  Parameters                                  * parameters
			  ) :
    morpheo::behavioural::Statistics(name                  ,
				     parameters_statistics ),
    _parameters(parameters)
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");
    log_printf(FUNC,Queue,FUNCTION,"End");
  };
  
#undef  FUNCTION
#define FUNCTION "Queue::~Statistics"
  Statistics::~Statistics () 
  { 
    log_printf(FUNC,Queue,FUNCTION,"Begin");
    log_printf(FUNC,Queue,FUNCTION,"End");
  };

}; // end namespace queue
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
